Download it now!
Bug 131248 - Crash when closing SQL Edit Query (gtk3 only)
Summary: Crash when closing SQL Edit Query (gtk3 only)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0 target:6.3.6 target:6.4....
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2020-03-09 21:11 UTC by Julien Nabet
Modified: 2020-03-11 15:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (gtk3) (9.88 KB, text/plain)
2020-03-09 21:12 UTC, Julien Nabet
Details
test file (2.96 KB, application/vnd.oasis.opendocument.database)
2020-03-09 21:15 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Nabet 2020-03-09 21:11:33 UTC
Description:
On pc Debian x86-64 with master sources updated today, I got a crash when closing SQL Edit Query.

Steps to Reproduce:
1. Create an odb file embedded HSQL DB
2. Create a simple table with wizard
3. Create a simple query with wizard
4. Edit Query with SQL View

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+
Build ID: 2ede753a8b7adecbf6ca78745e43e23c7498e289
CPU threads: 12; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: fr-FR (fr_FR.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Julien Nabet 2020-03-09 21:12:48 UTC
Created attachment 158526 [details]
bt with debug symbols (gtk3)
Comment 2 Julien Nabet 2020-03-09 21:14:50 UTC
I don't reproduce this with LO Debian package 6.4.1.2 (gtk3 rendering)
=> regression

Caolán: thought you might be interested in this one since it concerns gtk3 only.
Comment 3 Julien Nabet 2020-03-09 21:15:21 UTC
Created attachment 158527 [details]
test file

Open file
edit query with SQL view
close
=> crash
Comment 4 MM 2020-03-09 23:44:09 UTC
Confirmed on mint 19.3 x64 with Version: 7.0.0.0.alpha0+
Build ID: 4bca67d21e418eb3981cd63390bf2cb401dabe13
CPU threads: 4; OS: Linux 5.3; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-03-08_02:59:34
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Unconfirmed with Version: 7.0.0.0.alpha0+
Build ID: 4ff12ba6f4639c73587f2bb58afcc3ca6fb30105
CPU threads: 4; OS: Linux 5.3; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-01-24_21:09:14
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 Caolán McNamara 2020-03-10 14:18:48 UTC
I think its more an a11y thing than a gtk thing, just that gtk has working a11y
Comment 6 Julien Nabet 2020-03-10 14:22:44 UTC
(In reply to Caolán McNamara from comment #5)
> I think its more an a11y thing than a gtk thing, just that gtk has working
> a11y

Considering the bt, you're right. Sometimes I wonder if accessibility should/could be disabled for gtk.
I mean, is there something planned to fix bugs in it? Indeed, it seems nobody works on this part.
Comment 7 Commit Notification 2020-03-10 15:25:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3fb0d46b1ec39cb6a5deb8521f7a4e489c194841

Resolves: tdf#131248 a11y crash when closing SQL Edit Query

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2020-03-10 15:45:32 UTC
Just for the record, the issue started to happen after https://cgit.freedesktop.org/libreoffice/core/commit/?id=a7b9cbbdd4b56b2f64b023f25de185353a6f01d9
Comment 9 Caolán McNamara 2020-03-10 16:57:20 UTC
re "Sometimes I wonder if accessibility should/could be disabled for gtk." the same crashes/failures should happen on windows with a11y enabled, what we sort of lack is a way to detect that a11y isn't needed to hide the common a11y errors under gtk
Comment 10 Julien Nabet 2020-03-10 19:42:06 UTC
(In reply to Caolán McNamara from comment #9)
> re "Sometimes I wonder if accessibility should/could be disabled for gtk."
> the same crashes/failures should happen on windows with a11y enabled, what
> we sort of lack is a way to detect that a11y isn't needed to hide the common
> a11y errors under gtk
Ok

Anyway, I confirm it's ok with the patch. Thank you!
Comment 11 Commit Notification 2020-03-11 14:13:09 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/35584bd345feb5869676b3eebf1586b248d35c3f

Resolves: tdf#131248 a11y crash when closing SQL Edit Query

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-03-11 14:13:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/156f14c6632df104186feeba250abdf7de4a2e30

Resolves: tdf#131248 a11y crash when closing SQL Edit Query

It will be available in 6.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2020-03-11 15:48:37 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-2":

https://git.libreoffice.org/core/commit/8a025d3f86bdc51013df27d8290ddf7cfcf1b36f

Resolves: tdf#131248 a11y crash when closing SQL Edit Query

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.